Update Webhook
Authorization
Bearer In: header
Path Parameters
ID of the webhook
Request Body
application/json
- urlstringlength: 1 <= length <= 2083urirequired
URL of the webhook
- search_idintegerrequired
ID of the search that the webhook is listening to.
- descriptionstringnullable
Description of the webhook
- listening_start_timestringnullabledate-time
Date when the webhook started listening for events. If listening_start_time is None, the webhook will listen to all events matching the search query regardless of when they occurred.
- trigger_once_per_companybooleandefault: false
Only for webhook type ='job.new'. If true, Company A with 5 jobs → 1 event triggered. If false, Company A with 5 jobs → 5 events triggered
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.theirstack.com/v0/webhooks/123" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/webhook", "search_id": 123 }'{
"url": "https://example.com/webhook",
"search_id": 123,
"description": "Webhook for new jobs",
"listening_start_time": "2024-01-01T00:00:00",
"trigger_once_per_company": true,
"id": 0,
"user_id": 0,
"team_id": 0,
"is_active": true,
"is_archived": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"search_name": "string",
"event_type": "job_new",
"scanning_frequency": "10m"
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
Archive Webhook PATCH
Archive a webhook by its ID to permanently stop event delivery and remove it from the active webhook list. Archived webhooks and their event history are retained for reference but will no longer trigger notifications.
Enable/Disable A Webhook PATCH
By disabling a webhook, it will stop listening to events. When you enable a webhook, it will process all the events that have not been processed yet since you disabled it.
